/*
J.Teda 21/04/2013

Exsample of how to run Dynamixel in SERVO mode - tell servo what angle to move to.

Robotis e-Manual ( http://support.robotis.com )

*/

#include <Dynamixel_Serial.h>       // Library needed to control Dynamixal servo

#define SERVO_ID 0x01               // ID of which we will set Dynamixel too
#define SERVO_ControlPin 0x02       // Control pin of buffer chip, NOTE: this does not matter becasue we are not using a half to full contorl buffer.
#define SERVO_SET_Baudrate 57600    // Baud rate speed which the Dynamixel will be set too (57600)
#define CW_LIMIT_ANGLE 0x001        // lowest clockwise angle is 1, as when set to 0 it set servo to wheel mode
#define CCW_LIMIT_ANGLE 0xFFF       // Highest anit-clockwise angle is 0XFFF, as when set to 0 it set servo to wheel mode

void setup(){
    delay(1000);                                                            // Give time for Dynamixel to start on power-up

    Dynamixel.begin(SERVO_SET_Baudrate);                                    // We now need to set Ardiuno to the new Baudrate speed
    Dynamixel.setDirectionPin(SERVO_ControlPin);                            // Optional. Set direction control pin
    Dynamixel.setMode(0x003, SERVO, 0x001, 0x3FF);    // set mode to SERVO and set angle limits

}


void loop(){
  Dynamixel.servo(0x009,215,0x200); 
  Dynamixel.servo(0x009,215,0x200);
  Dynamixel.servo(0x009,215,0x200); 
  Dynamixel.servo(0x009,215,0x200);     // Move servo to angle 1(0.088 degree) at speed 100-
  delay(1000);

  Dynamixel.servo(0x009,512,0x200);
  Dynamixel.servo(0x009,512,0x200);       //  Move servo to max angle at max speed (1023)
  delay(1000);

}
